<div class="resource">
    <div class="d-flex justify-content-between align-items-center title">
        <div class="d-flex align-items-center pointer" (click)="onClose()">
            <span class="material-symbols-outlined icon-back">
                arrow_back_ios_new
            </span>
            <strong><small>ทรัพยากรที่ใช้</small></strong>
        </div>
    </div>

    <div class="btn-create d-flex justify-content-end pointer mr-3 mt-3" (click)="onOpenCreateResource()">
        + เพิ่มข้อมูล
    </div>
    <br>

    <div class="d-flex justify-content-center" *ngIf="resourceList.length == 0">
        <div class="text-center">
            <br> <br> <br> <br>
            <span class="material-symbols-outlined" style="font-size: 50px; color: gray;">
                assignment
            </span>
            <div>
                ไม่มีรายการ
            </div>
        </div>
    </div>

    <div class="list" *ngIf="resourceList.length > 0">
        <div class="resource-item d-flex align-items-center mb-3" *ngFor="let item of resourceList">
            <div class="detail">
                <small class="key">ประเภท </small> <small>{{item.resType}} </small><br>
                <small class="key">ชื่อทรัพยากร </small><small>{{item.resName}} </small><br>
                <small class="key">จำนวน </small><small>{{item.amount}} </small><br>
                <small class="key mb-3">รายละเอียด </small><small>{{item.description}} </small><br>
            </div>
            <div class="action">
                <span class="material-symbols-outlined pointer" (click)="onEditResource(item)">
                    edit
                </span><br>

                <span class="material-symbols-outlined pointer btn-delete" (click)="onDeleteResource(item)">
                    delete
                </span>
            </div>


        </div>
    </div>




</div>






<ng-template #resource let-modal>
    <div class="modal-resource">
        <div class="modal-header">
            <strong class="modal-title" id="modal-basic-title">บันทึกข้อมูลทรัพยากร</strong>
        </div>
        <div class="d-flex">
            <div class="input-box ">
                <small>กลุ่มรหัส *</small>
                <mat-form-field appearance="outline" style="width: 100%">
                    <mat-select [(ngModel)]="resourceForm.resType" (selectionChange)="onCarTypeChange()"
                        [disabled]="resourceUseData != undefined">
                        <mat-option [value]="item.car" *ngFor="let item of carTypeList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.car}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="input-box ">
                <small>ประเภทเครื่องจักรกล *</small>
                <mat-form-field appearance="outline" style="width: 100%">
                    <mat-select [(ngModel)]="resourceForm.resName" [disabled]="resourceUseData != undefined">
                        <mat-option [value]="item.car" *ngFor="let item of carList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.car}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <br>
        </div>

        <div class="d-flex">
            <div class="input-box ">
                <small>จำนวน *</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <input matInput placeholder=" " type="number" [(ngModel)]="resourceForm.amount">
                </mat-form-field>
            </div>
            <div class="input-box ">
                <small>รายละเอียดเพิ่มเติม</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <input matInput placeholder=" " [(ngModel)]="resourceForm.description">
                </mat-form-field>
            </div>

            <br>
        </div><br>
        <div class="modal-footer">
            <button mat-raised-button (click)="resourceModal.close()">ยกเลิก</button>
            <button class="btn-save" mat-raised-button color="primary" (click)="onSaveResource()"
                [disabled]="resourceForm.amount == null">บันทึก</button>
        </div>
    </div>
</ng-template>